
package jp.riken.brain.ni.samuraigraph.base;

import java.awt.Color;

/**
 *
 *
 */
public interface SGIFigureDialogObserver
	extends SGIPropertyDialogObserver
{

	public float getFigureX( final String unit );
	
	public float getFigureY( final String unit );
	
	public float getFigureWidth( final String unit );
	
	public float getFigureHeight( final String unit );

	public float getSpaceAxisLineAndNumber( final String unit );
	
	public float getSpaceNumberAndTitle( final String unit );

	public boolean isTransparent();

	public Color getBackgroundColor();

	public boolean isLegendVisible();

	public void setFigureX( final float x, final String unit );

	public void setFigureY( final float y, final String unit );

	public void setFigureWidth( final float w, final String unit );

	public void setFigureHeight( final float h, final String unit );
	
	public boolean setSpaceAxisLineAndNumber( final float space, final String unit );

	public boolean setSpaceNumberAndTitle( final float space, final String unit );

	public boolean setTransparent( final boolean b );

	public boolean setBackgroundColor( final Color cl );

	public boolean setLegendVisible( final boolean b );


}


